Skip to main content
User Profiles

List Profile Schemas

Paginated query of all profile schemas

GET
/profile_schemas
cURL
curl --request GET \
  --url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
Paginated query of all profile schemas for the current user.

Request parameters

ParameterTypeRequiredDescription
page_sizenumberNoPage size
page_numnumberNoPage number, starting from 1

Code examples

cURL
curl -X GET "https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas?page_size=10&page_num=1" \
  --header "Authorization: Bearer $DASHSCOPE_API_KEY" \
  --header "Content-Type: application/json"
To view details of a single schema, use GetProfileSchema.

Authorizations

string
header
required

Query Parameters

integer

每页数量

integer

页码,从 1 开始

Response

200-成功

成功

Overview
Managed Agent API
Sandbox API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview